from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.container import XIndexContainer

@runtime_checkable
class XDataContainer(XIndexContainer, Protocol):
    def getContentType(self) -> str: ...
    def setContentType(self, aType: str) -> None: ...
    def getData(self) -> list[int]: ...
    def setData(self, aData: sequence<byte>) -> None: ...
    def getDataURL(self) -> str: ...
    def setDataURL(self, aURL: str) -> None: ...
